<?php
namespace Internetgalerie\IgEmailNoindex\ViewHelpers;

use Internetgalerie\IgEmailNoindex\Typolink\MyEmailLinkBuilder;
use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

class IndexedContentViewHelper extends AbstractViewHelper
{
    /**
     * @var boolean
     */
    protected $escapeOutput = false;
    protected $escapeChildren = false;

    /**
     * @param array $arguments
     * @param \Closure $renderChildrenClosure
     * @param RenderingContextInterface $renderingContext
     * @return bool
     */
    public static function renderStatic(
        array $arguments,
        \Closure $renderChildrenClosure,
        RenderingContextInterface $renderingContext
    ) {
        
        $oldValue = MyEmailLinkBuilder::setRemoveFromIndexer(true);
        $content = $renderChildrenClosure();
        MyEmailLinkBuilder::setRemoveFromIndexer($oldValue);

        return '<!--TYPO3SEARCH_begin-->' . $content . '<!--TYPO3SEARCH_end-->';
    }
}
